Artboard
FileMaker Files

Copy file as self-contained

Requires FileMaker Server 20.3 or later. Starts an async copy self-contained operation. Returns a processId to track progress.

POST
/otto/api/fm-file/copy-self-contained

Request Body

application/json

POST /otto/api/fm-file/copy-self-contained Request body

encryptionKey?string

Optional encryption key

password?string

FileMaker password

username?string

FileMaker username

sourceFilePath*string

File path to copy self-contained in the FileMaker format

targetFilePath*string

Target path to copy self-contained to in the FileMaker format

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/copy-self-contained" \  -H "Content-Type: application/json" \  -d '{    "password": "string",    "username": "string",    "sourceFilePath": "string",    "targetFilePath": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}